import TitleLength from './TitleLength.js'

export default class TitleLengthTooShort extends TitleLength {
  report() {
    if (this.issueCount == 0) return

    return {
      ...super.report(),
      ...{ issueTitle: `Your title is to short on ${this.issueCount} page${this.issueCount == 1 ? '' : 's'}` }
    }
  }

  test(title) {
    return title.length < this.minLength
  }
}
