import TitleUnique from './TitleUnique.js'
import TitleLengthTooLong from './TitleLengthTooLong.js'
import TitleLengthTooShort from './TitleLengthTooShort.js'

export default function getRules(filesnames, options) {
  return [
    new TitleUnique(filesnames, options),
    new TitleLengthTooLong(filesnames, options),
    new TitleLengthTooShort(filesnames, options),
  ]
}
